
#--------------------------------------------------------------#
# File Editor
#--------------------------------------------------------------#

#--------------------------------------------------------------#
# user-callable functions
#

proc EDIT_edit {window text} {
  text $window.text -width 60 -height 20 -wrap none \
    -xscrollcommand [list $window.xscrollbar set] \
    -yscrollcommand [list $window.yscrollbar set]
  scrollbar $window.xscrollbar \
    -orient horizontal -command [list $window.text xview]
  scrollbar $window.yscrollbar \
    -orient vertical -command [list $window.text yview]
  grid $window.text $window.yscrollbar -sticky nsew
  grid $window.xscrollbar -sticky nsew
  grid columnconfigure $window 0 -weight 1
  grid rowconfigure $window 0 -weight 1
  $window.text insert end $text
  $window.text mark set insert 1.0
  focus $window.text
}

proc EDIT_getText {window} {
  set text [$window.text get 1.0 "end - 1 char"]
  return $text
}
