
/*
 * CONTROL.H	DSP simulation control
 */


#ifndef _CONTROL_H_
#define _CONTROL_H_


#include <stdio.h>


/*#define CHECK_NODES*/		/* uncomment to check parse tree nodes */
/*#define CHECK_ELEMENTS*/	/* uncomment to check element generation */
/*#define CHECK_ORDERING*/	/* uncomment to check element ordering */

#define EDITOR		"joe"	/* replace with your favorite editor */

#define DEFAULT_STEPS	1000	/* default number of simulation steps */

#define ERRMSG_SIZE	200


extern char *yyfilename;
extern int yylineno;
extern FILE *ctrl_out;
extern FILE *data_out;

extern char bin_dir[];
extern char lib_dir[];


void error(char *msg);
int yylex(void);
void show_token(int token);
int yyparse(void);
void yyselect(char *filename);
void yycleanup(void);


#endif /* _CONTROL_H_ */
