/*
 * halfsine.c	produce sample values from one half of a sine wave
 */


#include <stdio.h>
#include <math.h>


#define N	100
#define PI	M_PI


int main(void)
{
  int n;

  for (n = 0; n < N; n++) {
    printf("%3d: %10.2e\n", n, sqrt(2.0 / N) * sin((PI * n) / N));
  }
  return 0;
}
